HomeDocumentationAPI Endpoints
Log In
API Endpoints

E-Sign Journey - Get Signer URL

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

The base64 format should be data:application/pdf;base64,<base64 string>

STEP 1

The businesses need to invoke this API with the file to be signed and the signers details to obtain the signers URLs.

Image

Journey Input Data

{
  "doc_id": "",
  "doc_base64": "",
  "doc_s3_url": "",
  "signer_details": [
    {
      "name": "",
      "email": "",
      "phone": "",
      "aadhaar_no_last_4_digits": ""
    },
    {
      "name": "",
      "email": "",
      "phone": "",
      "aadhaar_no_last_4_digits": ""
    }
  ]
}

Journey Output Data

{
  "status": "IN_PROGRESS",
  "message": "Success",
  "status_code": "success",
  "transaction_id": "aa91da24-52a9-44a0-a630-dec582f74066",
  "journey_transaction_id": "EQ.GT.bb5f6076-e00c-4f5a-acbd-72430bfc4691#pan_digital_v1#c263f8d05f244ddea32043579fcf9dc5",
  "journey_id": "",
  "data": {
    "keys": {
      "e_sign": [
        {
          "signers_url": [
            {
              "name": "",
              "signer_url": ""
            },
            {
              "name": "",
              "signer_url": ""
            }
          ]
        }
      ]
    }
  }
}

📘

This journey does not include any pre-configured Ownership or Fraud Checks. To configure these checks, please contact your Account Manager.

Status Codes

ScenarioHttpStatusstatusstatus_codemessage
When the document is successfully e-signed by all the signers.200SUCCESSsuccessRequest successful
When the mobile number/ email id entered is invalid.400FAILUREinvalid_inputMobile Number/ Email ID is invalid
When the doc_type is incorrect400FAILUREinvalid_inputEnter a valid doc_type.
When one of the parameters signer details is missing from the request.400FAILUREinvalid_requestInvalid Request
Any unhandled error from Equal's end500FAILUREinternal_server_errorSomething went wrong, please try again.
Too many requests429No object will be sent, throttling happens at the gateway level.
Service Unavailable503
Invalid Client Credentials401FAILUREinvalid_credentialsInvalid Client Credentials

Status (Journey Status)

Possible ValuesDescription
SUCCESSShows that the verification process was completed successfully.
FAILUREIndicates that the verification process did not succeed.
IN_PROGRESSSignifies that the verification process is currently underway and has not yet been completed.

Decision

Possible ValuesDescription
CLEARIndicates that the verification has been completed and the information is confirmed as accurate and legitimate.
MUST REVIEWSignifies that further review is needed due to potential issues or inconsistencies in the verification results.
NEEDS REVIEWSuggests that the verification has identified areas that require further investigation or clarification before a final determination can be made.
📘

Journey ID will be shared as part of Onboarding

KeyDescription
statusThe current status of the transaction (e.g., IN_PROGRESS, SUCCESS).
messageA message providing additional information about the status (e.g., "Success").
status_codeThe code representing the status of the transaction (e.g., "success").
transaction_idA unique identifier for the transaction.
journey_transaction_idA unique identifier for the journey transaction, which includes information about the journey and its version.
journey_idThe unique identifier of the journey associated with the transaction. It may be empty in some cases.
signer_detailsAn array of objects containing the details of each signer involved in the transaction.
nameThe name of the signer.
emailThe email address of the signer.
phoneThe phone number of the signer.
aadhaar_no_last_4_digitsThe last four digits of the signer's Aadhaar number, if applicable.
e_signAn array containing signer information for electronic signature verification.
signers_urlAn array of objects containing the name and URL of each signer.
nameThe name of the signer.
signer_urlThe URL of the signer’s electronic signature platform.
Body Params
string
required

The exchange transaction ID is generated by invoking the Initialise Exchange Transaction API. This identifier groups various verification journey requests into a single transaction, enabling the sharing and accessing of data across different verification processes. This facilitates checks such as matching the Aadhaar name with the Bank Account name, comparing the Aadhaar photo with a live image, and more.

string
required
Defaults to e_sign_dev_test_v1

A journey ID stores all the configuration details that are applied as part of the verification process. This ID is provided by Equal and is unique for each verification journey.

input_data
object
required

The dynamic journey input data object structure varies depending on the journey_id and the configurations set for the specific journey. For example, E-sign journey will have input parameters like template_attributes and signer details..

string

You can pass a request ID to uniquely identify each attempt of the verification journey separately on your end.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json